// 3-isogeny parameters for Ell2'
//
// (C) 2019 anonymous authors. All rights reserved.
// clang-format off

#include "iso2.h"

const bint2_ty iso2_xnum[ELLP2_XMAP_NUM_LEN] = {
    {  0x30c71ce09e0c6bLL,  0x080bb88d3e7c31LL,  0xdbef69fd13fb03LL,  0xbc8765ae836004LL,  0xc201508c02926cLL,  0x34a73b748bcc9aLL,  0x0019c2f7483a7dLL,  
       0x30c71ce09e0c6bLL,  0x080bb88d3e7c31LL,  0xdbef69fd13fb03LL,  0xbc8765ae836004LL,  0xc201508c02926cLL,  0x34a73b748bcc9aLL,  0x0019c2f7483a7dLL,  },
    {  0x00000000000000LL,  0x00000000000000LL,  0x00000000000000LL,  0x00000000000000LL,  0x00000000000000LL,  0x00000000000000LL,  0x00000000000000LL,  
       0xbf55554c952532LL,  0xddadfde2a37ce1LL,  0x0c49b32d928cc7LL,  0xb22f8229b10ee3LL,  0x5633f229233efbLL,  0x41451d5a358aafLL,  0x0002c1a5ac2e65LL,  },
    {  0x1f555559b51812LL,  0x1127b262ae4149LL,  0x1ad1d75f5ad848LL,  0x1a6d51aa8ea961LL,  0xa092de4fe5ac07LL,  0x45f7bc6e8cf0ebLL,  0x0018a03f14224dLL,  
       0xdfaaaaa64a9299LL,  0xeed6fef151be70LL,  0x8624d996c94663LL,  0xd917c114d88771LL,  0xab19f914919f7dLL,  0xa0a28ead1ac557LL,  0x000160d2d61732LL,  },
    {  0xc21c71c7799757LL,  0x56c2a7878e854dLL,  0xbd622a6daef6b1LL,  0xbbf6502dea2686LL,  0x9de2a8e38ec96dLL,  0xb921ca970a448aLL,  0x000f0de38c1f9bLL,  
       0x00000000000000LL,  0x00000000000000LL,  0x00000000000000LL,  0x00000000000000LL,  0x00000000000000LL,  0x00000000000000LL,  0x00000000000000LL,  },
};

const bint2_ty iso2_xden[ELLP2_XMAP_DEN_LEN] = {
    {  0x00000000000000LL,  0x00000000000000LL,  0x00000000000000LL,  0x00000000000000LL,  0x00000000000000LL,  0x00000000000000LL,  0x00000000000000LL,  
       0x2fffff13bb96f0LL,  0x615c643f3e2c5bLL,  0x09d883e22c9bbcLL,  0xe3f894e6de304dLL,  0x8020db8dc90d81LL,  0x1515824c5633f7LL,  0x00166a555471aeLL,  },
    {  0x2200002760834aLL,  0x9a6fbad8204dc2LL,  0xe9ab0aa910a528LL,  0x51af4903ca6dd4LL,  0x47c315ab58b018LL,  0x40e34705b6c62eLL,  0x000d99a86368b8LL,  
       0xdcffffd89f2761LL,  0x658ef67bdfb1f7LL,  0xb74ba64d137983LL,  0xa1d5c9bb9cc2fdLL,  0x03e9c1b91e9b6cLL,  0xa5b70415f0f015LL,  0x000c676986d0c7LL,  },
};

const bint2_ty iso2_ynum[ELLP2_YMAP_NUM_LEN] = {
    {  0x4c84bdfc94688eLL,  0xf4abd498e2ae5dLL,  0x24b6e04d92e31cLL,  0x195094cba0223dLL,  0x7f98fc0b108e51LL,  0x4b3a9799477308LL,  0x000ba9598274deLL,  
       0x4c84bdfc94688eLL,  0xf4abd498e2ae5dLL,  0x24b6e04d92e31cLL,  0x195094cba0223dLL,  0x7f98fc0b108e51LL,  0x4b3a9799477308LL,  0x000ba9598274deLL,  },
    {  0x00000000000000LL,  0x00000000000000LL,  0x00000000000000LL,  0x00000000000000LL,  0x00000000000000LL,  0x00000000000000LL,  0x00000000000000LL,  
       0xebc71c91dcb082LL,  0xd32af430fde066LL,  0xa99005a116cf5dLL,  0x0cade66655b52dLL,  0x7e27fc99c87dc1LL,  0x997af884c5f681LL,  0x001890b86ba28cLL,  },
    {  0x6f555553251ea2LL,  0xf76ad822a8df15LL,  0x138dc54676b287LL,  0x664e69ea1fdc22LL,  0x7b63683c847581LL,  0x439e6ce4613dcdLL,  0x000db0f2602859LL,  
       0x8faaaaacda8c09LL,  0x0893d9315720a4LL,  0x8d68ebafad6c24LL,  0x8d36a8d54754b0LL,  0xd0496f27f2d603LL,  0xa2fbde37467875LL,  0x000c501f8a1126LL,  },
    {  0x69a12f682cb11cLL,  0xe314034425d379LL,  0xa131822d7c62a8LL,  0xbd2f96307f036eLL,  0x8f4364d5a2d607LL,  0x647d802c347b3dLL,  0x0003a664ca08a1LL,  
       0x00000000000000LL,  0x00000000000000LL,  0x00000000000000LL,  0x00000000000000LL,  0x00000000000000LL,  0x00000000000000LL,  0x00000000000000LL,  },
};

const bint2_ty iso2_yden[ELLP2_YMAP_DEN_LEN] = {
    {  0x24fffa76673449LL,  0x4830e2d7750b81LL,  0x1641a27e570d0eLL,  0x963a1fac312db1LL,  0x8664f05c61d772LL,  0xfd7d963fbea87cLL,  0x000478a6678a94LL,  
       0x24fffa76673449LL,  0x4830e2d7750b81LL,  0x1641a27e570d0eLL,  0x963a1fac312db1LL,  0x8664f05c61d772LL,  0xfd7d963fbea87cLL,  0x000478a6678a94LL,  },
    {  0x00000000000000LL,  0x00000000000000LL,  0x00000000000000LL,  0x00000000000000LL,  0x00000000000000LL,  0x00000000000000LL,  0x00000000000000LL,  
       0x91fffd3b336f7aLL,  0x2417ca15ba859dLL,  0xdb9c29ba3d95ddLL,  0xc4df9935cc2f41LL,  0xe908e3e06c917bLL,  0x720bf0adb32f5fLL,  0x000f3cdc28e20aLL,  },
    {  0x3300003b10c4efLL,  0xe7a798443074a3LL,  0x5e808ffd98f7bcLL,  0x7a86ed85afa4bfLL,  0x6ba4a081050824LL,  0x6154ea88922945LL,  0x0014667c951d14LL,  
       0xcbffffc4eee5bcLL,  0x1857190fcf8b16LL,  0x427620f88b26efLL,  0x78fe2539b78c13LL,  0xe00836e3724360LL,  0x85456093158cfdLL,  0x00059a95551c6bLL,  },
};

// clang-format on
